> For the complete documentation index, see [llms.txt](https://docs.hello-lisa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hello-lisa.com/developers/guides/player-communication/message-api-reference/player/player-native-picture-in-picture-pip-request.md).

# Player — Native Picture-in-Picture (PiP) Request

The LiSA Player accepts message to either enter or exit native Picture-in-Picture.

This message is sent by the host app / environment to the LiSA Player.

### Properties

Along with all standard [Message properties](/developers/guides/player-communication/message-api-reference.md#properties), a **Native PiP Request** message includes the following additional properties:

<table><thead><tr><th width="244" valign="top">Name</th><th width="192" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>messageType</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>lsc:player:native-pip</code></td></tr><tr><td valign="top"><code>pipState</code></td><td valign="top"><pre><code>Enum
</code></pre><p>Required.</p></td><td valign="top"><p>The <code>pipState</code> property indicates the desired native Picture-in-Picture state.</p><p></p><ul><li><code>exitPip</code> — Leave currently active, native PiP window</li><li><code>requestPip</code> — Enter native PiP window</li></ul></td></tr></tbody></table>

***

### Type Definition

```typescript
interface PlayerNativePipRequestMessage extends Omit<
  Message,
  'messageType' | 'recipient'
> {
  messageType: 'lsc:player:native-pip';
  pipState: 'exitPip' | 'requestPip';
  recipient: 'LiSA';
}
```

***

### Examples

```json
{
  "messageType": "lsc:player:native-pip",
  "pipState": "requestPip",
  "recipient": "LiSA",
  "sender": "Example"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hello-lisa.com/developers/guides/player-communication/message-api-reference/player/player-native-picture-in-picture-pip-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
